Generate checkout link to pay payment

Generate checkout link to pay the payment.

post
Path parameters
idstringRequired

The id of the payment.

Query parameters
appIntegrationIdstringOptional

(Optional) The identifier of the specific app integration payment gateway to use for generating the checkout link. If provided, this app integration will be used to handle the payment. If null, the system will use the default payment configuration associated with the payment.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

post
/api/v1/payments/{id}/generate-checkout-link

Last updated